#!/bin/bash
DIR="$(realpath $(dirname "$(readlink -f "$0")")/..)"

PHP_VERSION=$1 # Without dot

if [[ -z "${PHP_VERSION}" ]]; then PHP_VERSION=74; fi

# Grab full name of php-fpm container
WORKSPACE_CONTAINER=$(docker ps | grep workspace${PHP_VERSION} | awk '{print $1}')

if [[ -z "${WORKSPACE_CONTAINER}" ]]; then
  echo "Unable to find workspace container: workspace${PHP_VERSION}"
  exit 1
fi

docker exec -ti ${WORKSPACE_CONTAINER} su laradock
